Subject: bug#7324: coreutils on Solaris 10

From: Eric Blake <[email-masked]>
Date: Thu, 04 Nov 2010 08:41:04 -0600

On 11/03/2010 12:33 PM, Eric Blake wrote:
> On 11/03/2010 11:39 AM, Eric Blake wrote:
>> * m4/utimens.m4 (gl_UTIMENS): Include correct headers.
>>
> 
> I've confirmed that with this fix, the latest gnulib now passes all
> time-setting tests except those related to symlink times.  I'm now in
> the process of testing coreutils on the same machine to see if the fixed
> gnulib test makes touch start working again.

Yes, a self-built coreutils on that machine can once again 'touch'.  I'm
pushing this.  Does this also deserve a NEWS entry?  I'm not quite sure
how it would be worded; maybe:

  cp, mv, and touch no longer crash when setting file times on Solaris
  10 [latent bug since at least coreutils-5.97, exposed by recent
  Solaris patch]

And I don't know whether to state that the bug was introduced in 8.1
(the point at where the gnulib utimens.m4 file was broken) or earlier
(since we have a definitive report of 5.97 not working, but not
intermediate versions; also recalling that utimens was moved from
coreutils over to gnulib between 5.97 and 8.1 and has seen quite a lot
of churn over the years).

From 7b4e77352d7e7fc1ba37c3437d9a68f55fbdb668 Mon Sep 17 00:00:00 2001
From: Eric Blake <[email-masked]>
Date: Thu, 4 Nov 2010 08:16:04 -0600
Subject: [PATCH] cp, mv, touch: fix file time manipulation on Solaris 10

* gnulib: Update to latest, for futimens fix.
* .gitignore: Ignore another recent gnulib-generated file.
---
 .gitignore |    1 +
 gnulib     |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/.gitignore b/.gitignore
index 1b8cae2..cd73b9a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -51,6 +51,7 @@
 /lib/progname.c
 /lib/progname.h
 /lib/selinux
+/lib/stamp-h1
 /lib/unistr
 /lib/uniwidth
 /lib/unused-parameter.h
diff --git a/gnulib b/gnulib
index 87f692b..37b74cd 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit 87f692bf1126a16c40212bcdb5324625939cef2a
+Subproject commit 37b74cd909f60076a096ab8ac2635bc77755153f
-- 
1.7.3.2

* gnulib 87f692b...37b74cd (2):
  > tests: fix compiler warnings
  > utimens: fix broken m4 test

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org